## libwebp 0.1.2

=== debian/changelog ===
libwebp (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Explicit PNG and JPEG dependencies (closes: #622386)
  * Remove .la filse (closes: #622515)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 13 Apr 2011 15:14:03 -0700

libwebp (0.1-1) unstable; urgency=low

  * Initial release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 28 Feb 2011 17:25:17 -0800
