=== debian/control ===
Source: libwebp
Priority: extra
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libtool, autoconf, 
 automake, libjpeg62-dev, libpng12-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://webp.googlecode.com

Package: libwebp-dev
Section: libdevel
Architecture: any
Depends: libwebp0 (= ${binary:Version}), ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Description: Image Compression format, based on the VP8 codec
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the webp. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: libwebp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Description: Image Compression format, based on the VP8 codec
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the webp. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: webp
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjpeg62, libpng12-0
Description: Lossy compression of digital photographic images.
 Description: Image Compression format, based on the VP8 codec
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the webp. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.
