## libwebp 0.1.3

=== debian/changelog ===
libwebp (0.1.3-3+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2012-5127: integer overflows in src/dec/webp.c (closes: #704573).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 03 Apr 2013 02:54:20 +0000

libwebp (0.1.3-3)  unstable; urgency=low

  * Close dependency bug fixed in last update (closes: #657896)
  * Accept multi-arch support from Felix Geyer (closes: #659027)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 22 Feb 2012 12:00:56 -0800

libwebp (0.1.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev, and drop hardcoded
    shared library dependencies from webp.

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:29:55 +0100

libwebp (0.1.3-2) unstable; urgency=low

  * Improve description ever so slightly (closes: #647434)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 08 Dec 2011 16:34:49 -0800

libwebp (0.1.3-1) unstable; urgency=low

  * New upstream release (closes: #645154)
  * Fix typos in description (closes: #637156)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 31 Oct 2011 10:15:38 -0700
