=== debian/control ===
Source: libwebp
Priority: extra
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
 automake, libjpeg-dev, libpng12-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://webp.googlecode.com

Package: libwebp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebp2 (= ${binary:Version}), ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: libwebp2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.


Package: webp
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.
