## libwebp 0.2.1

=== debian/changelog ===
libwebp (0.2.1-3) experimental; urgency=low

  * Fix builds everywhere.
    Was fine if you run 'dh build', but -arch or -indep after clean failed.
    And it worked fine in my experimental pbuilder chroot...
  * Add a dependency on libtiff-dev | libtiff4-dev.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 12 Feb 2013 15:00:52 +0000

libwebp (0.2.1-2) experimental; urgency=low

  * Add a pkgconfig file (closes: #699285)

 -- Jeff Breidenbach <jab@debian.org>  Tue, 12 Feb 2013 00:50:19 +0000

libwebp (0.2.1-1) experimental; urgency=low

  * New upstream release. (Closes: #684339)
    - libwebp.so.4, so package name bump.
    - Target experimental to avoid disrupting wheezy freeze.
  * Adjust PNG dev dependency. (Closes: #662415)
  * Use dh ... --parallel.
  * Bumped standards version to 3.9.3.
  * Adjusted debian/copyright (lintian boilerplate error).
  * Added myself as an uploader (ref. bug 684339).

 -- Darren Salt <devspam@moreofthesa.me.uk>  Fri, 23 Nov 2012 00:34:46 +0000

libwebp (0.1.3-3) unstable; urgency=low

  * Close dependency bug fixed in last update (closes: #657896)
  * Accept multi-arch support from Felix Geyer (closes: #659027)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 22 Feb 2012 12:00:56 -0800
