## libwebp 0.3.0

=== debian/changelog ===
libwebp (0.3.0-3) unstable; urgency=low

  * No change, just migrating to unstable

 -- Jeff Breidenbach <jab@debian.org>  Thu, 30 May 2013 14:55:03 -0700

libwebp (0.3.0-1) experimental; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Thu, 11 Apr 2013 12:24:07 -0700
