=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libwebp
 Priority: extra
 Maintainer: Jeff Breidenbach <jab@debian.org>
+Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
- automake, libjpeg-dev, libpng12-dev
-Standards-Version: 3.9.2
+ automake, libjpeg-dev, libpng-dev | libpng12-dev, libtiff-dev | libtiff4-dev
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://webp.googlecode.com
 
@@ -11,15 +12,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp2 (= ${binary:Version}), ${misc:Depends}
+Depends: libwebp4 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
  WebP uses the modern VP8 compression format to deliver efficient
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-
-Package: libwebp2
+Package: libwebp4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -31,7 +31,6 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-
 Package: webp
 Section: graphics
 Architecture: any
