=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-autogen-stamp:
+# dh seems to assume that configure is already there
+configure:
 	./autogen.sh
-	touch autogen-stamp
 
-build: autogen-stamp
-	dh build
-
-clean:
-	rm -f autogen-stamp
-	dh clean
+build build-arch build-indep: configure
 
 %:
-	dh  $@
+	dh $@ --parallel
