## libwebp 0.4.0

=== debian/changelog ===
libwebp (0.4.0-4) unstable; urgency=low

  * Promote from experimental to unstable
  * Begin webp transition, see bug #731168

 -- Jeff Breidenbach <jab@debian.org>  Mon, 13 Jan 2014 10:07:43 -0800

libwebp (0.4.0-3) experimental; urgency=low

  * Add libwebpdemux.so and more binaries at request of upstream

 -- Jeff Breidenbach <jab@debian.org>  Wed, 08 Jan 2014 10:15:12 -0800

libwebp (0.4.0-2) experimental; urgency=low

  * New upstream release
  * Enable metadata support (closes: #728119)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 03 Jan 2014 13:28:23 -0800
