=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Jeff Breidenbach <jab@debian.org>
 Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
- automake, libjpeg-dev, libpng-dev | libpng12-dev, libtiff-dev | libtiff4-dev
+ automake, libjpeg-dev, libgif-dev, libpng-dev | libpng12-dev, 
+ libtiff-dev | libtiff4-dev, freeglut3-dev
 Standards-Version: 3.9.3
 Section: libs
 Homepage: http://webp.googlecode.com
@@ -12,14 +13,39 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp4 (= ${binary:Version}), ${misc:Depends}
+Depends: libwebp5 (= ${binary:Version}), libwebpmux1 (= ${binary:Version}),
+ libwebpdemux1 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
  WebP uses the modern VP8 compression format to deliver efficient
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebp4
+Package: libwebp5
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Lossy compression of digital photographic images.
+ Image Compression format, based on the VP8 codec.
+ WebP uses the modern VP8 compression format to deliver efficient
+ compression of images for the web. More than 30% extra gain over
+ optimized JPEG, for same quality, is not unusual.
+
+Package: libwebpmux1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Lossy compression of digital photographic images.
+ Image Compression format, based on the VP8 codec.
+ WebP uses the modern VP8 compression format to deliver efficient
+ compression of images for the web. More than 30% extra gain over
+ optimized JPEG, for same quality, is not unusual.
+
+Package: libwebpdemux1
 Section: libs
 Architecture: any
 Multi-Arch: same
