=== debian/watch ===
version=3
http://code.google.com/p/webp/downloads/list libwebp-(.*)\.tar\.gz
