## libwebp 0.4.1

=== debian/changelog ===
libwebp (0.4.1-1.2b1) staging; urgency=medium

  * No-change rebuild against libjpeg-turbo (libjpeg62)

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Fri, 03 Apr 2015 00:14:10 +0200

libwebp (0.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "libwebp FTBFS on mips/mipsel".
    Add fix-mips2.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #756788.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Sep 2014 10:04:05 +0100

libwebp (0.4.1-1.1) unstable; urgency=medium

  * NMU with maintainer's permission
  * use -frename-registers as workaround for ICE on arm64 (Closes: #757785)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Aug 2014 11:15:58 +0000

libwebp (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 30 Jul 2014 16:38:48 -0700
