## libwebp 0.4.3

=== debian/changelog ===
libwebp (0.4.3-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Re-introduced refreshed "fix-mips32.patch" to fix FTBFS on mips(el).
    Thanks, James Cowgill. (Closes: #785000).
  * Added retrospective changelog entry to note removal of "fix-mips32.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 May 2015 14:19:01 +1000

libwebp (0.4.3-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Added architecture hints to some symbols.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 01 May 2015 04:28:28 +1000

libwebp (0.4.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added current .symbols to compensate for ABI breakage in v0.4.3
    (Closes: #783693).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 30 Apr 2015 18:10:47 +1000

libwebp (0.4.3-1) unstable; urgency=low

  * New upstream bugfix release
  * Raise priority to optional (closes: #767462)
  * Removed "fix-mips32.patch"

 -- Jeff Breidenbach <jab@debian.org>  Fri, 27 Mar 2015 09:43:41 -0700
