## libwebp 0.4.4

=== debian/changelog ===
libwebp (0.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 17 Nov 2015 00:49:19 +0000
