=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libwebp
-Priority: extra
+Priority: optional
 Maintainer: Jeff Breidenbach <jab@debian.org>
 Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf,
