=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# gcc 4.9 ICEs when building libwebp for arm64, use 4.8 for now
+# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=757738
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -q DEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),arm64)
+  export DEB_CFLAGS_MAINT_APPEND=-frename-registers
+endif
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
