## libwebp 0.5.1

=== debian/changelog ===
libwebp (0.5.1-2ubuntu1) yakkety; urgency=medium

  * debian/patches/armhf_update_neon_support.patch: configure: do not
    rely on arm_neon.h for neon detection.  Closes LP: #1630349.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 04 Oct 2016 11:45:56 -0700

libwebp (0.5.1-2) unstable; urgency=medium

  * promote to unstable as per transition team
  * fix some lintian warnings on the symbols files

 -- Jeff Breidenbach <jab@debian.org>  Tue, 02 Aug 2016 17:45:28 -0700

libwebp (0.5.1-1) experimental; urgency=medium

  * New upstream release
  * Adjust libpng dependency (Closes: #810196)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 27 Jul 2016 00:34:07 +0000

libwebp (0.4.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with '--enable-aligned' on sparc* to force aligned
    memory operations in non-dsp code. (Closes: #825963)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 07 Jul 2016 14:07:57 +0200
