=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libwebp
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
 Uploaders: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
- automake, libjpeg-dev, libgif-dev, libpng-dev | libpng12-dev, 
+ automake, libjpeg-dev, libgif-dev, libpng-dev, 
  libtiff-dev | libtiff4-dev, freeglut3-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://webp.googlecode.com
 
@@ -13,15 +14,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp5 (= ${binary:Version}), libwebpmux1 (= ${binary:Version}),
- libwebpdemux1 (= ${binary:Version}), ${misc:Depends}
+Depends: libwebp6 (= ${binary:Version}), libwebpmux2 (= ${binary:Version}),
+ libwebpdemux2 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
  WebP uses the modern VP8 compression format to deliver efficient
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebp5
+Package: libwebp6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -33,7 +34,7 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebpmux1
+Package: libwebpmux2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -45,7 +46,7 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebpdemux1
+Package: libwebpdemux2
 Section: libs
 Architecture: any
 Multi-Arch: same
