## libwebp 0.5.2

=== debian/changelog ===
libwebp (0.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 03 Jan 2017 11:00:36 -0800

libwebp (0.5.1-4) unstable; urgency=medium

  * Import armh compilation patch from Ubuntu (closes: #845749)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 09 Dec 2016 10:42:47 -0800

libwebp (0.5.1-3) unstable; urgency=medium

  * Fix CVE-2016-8888 and CVE-2016-9085 (closes: #842714)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 09 Nov 2016 16:27:04 -0800
