=== debian/watch ===
version=3
https://storage.googleapis.com/downloads.webmproject.org/releases/webp/index.html libwebp-(.*)\.tar\.gz
