## libwebp 0.6.0

=== debian/changelog ===
libwebp (0.6.0-3) unstable; urgency=medium

  * Fix dependency bug in debian/control

 -- Jeff Breidenbach <jab@debian.org>  Tue, 25 Jul 2017 21:32:34 +0000

libwebp (0.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 03 May 2017 15:49:31 -0700
