=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, autoconf, 
  automake, libjpeg-dev, libgif-dev, libpng-dev, 
  libtiff-dev | libtiff4-dev, freeglut3-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://webp.googlecode.com
 
@@ -13,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwebp6 (= ${binary:Version}), libwebpmux2 (= ${binary:Version}),
+Depends: libwebp6 (= ${binary:Version}), libwebpmux3 (= ${binary:Version}),
  libwebpdemux2 (= ${binary:Version}), ${misc:Depends}
 Description: Lossy compression of digital photographic images.
  Image Compression format, based on the VP8 codec.
@@ -33,7 +33,7 @@
  compression of images for the web. More than 30% extra gain over
  optimized JPEG, for same quality, is not unusual.
 
-Package: libwebpmux2
+Package: libwebpmux3
 Section: libs
 Architecture: any
 Multi-Arch: same
