## libwebp 0.6.1

=== debian/changelog ===
libwebp (0.6.1-2.1+deb11u2) bullseye-security; urgency=medium

  * CVE-2023-4863

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 14 Sep 2023 00:43:44 +0200

libwebp (0.6.1-2.1+deb11u1) bullseye-security; urgency=medium

  * CVE-2023-1999 (Closes: #1035371)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 19 May 2023 00:18:08 +0200

libwebp (0.6.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix multiple security issues: CVE-2018-25009, CVE-2018-25010, CVE-2018-25011
    CVE-2020-36328, CVE-2018-25013, CVE-2018-25014, CVE-2020-36329, CVE-2020-36330
    CVE-2020-36331, CVE-2020-36332

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 05 Jun 2021 19:35:57 +0200

libwebp (0.6.1-2) unstable; urgency=medium

  * Fix lintian warning on manpage
  * Update homepage in control file (closes #891851)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 01 Mar 2018 12:51:06 -0800

libwebp (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Special patches for big endian

 -- Jeff Breidenbach <jab@debian.org>  Thu, 22 Feb 2018 18:17:57 -0800

libwebp (0.6.0-4) unstable; urgency=medium

  * remove uploader (closes: #881859)
  * updated watch file

 -- Jeff Breidenbach <jab@debian.org>  Mon, 20 Nov 2017 16:30:10 -0800
