=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,9 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
+# Force aligned memory operations in non-dsp code on sparc*
+ifneq (,$(findstring $(DEB_HOST_ARCH),sparc sparc64))
+	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux --enable-aligned
+else
 	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux
-
+endif
