## libwebp 0.6.1.2

=== debian/changelog ===
libwebp (0.6.1.2-1+dde) unstable; urgency=medium

  [ kezhihuan ]
  * fix CVE-2018-25011 CVE-2018-25014 CVE-2020-36328 CVE-2020-36329 CVE-2018-25009 CVE-2018-25010 CVE-2018-25013 CVE-2020-36330 CVE-2020-36331 CVE-2020-36332. 

  [ Jeff Breidenbach ]
  * update

 -- Jeff Breidenbach <jab@debian.org>  Tue, 29 Jun 2021 10:40:43 +0800

libwebp (0.6.1.1-1+dde) unstable; urgency=medium

  * Fix lintian warning on manpage
  * Update homepage in control file (closes #891851)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 01 Mar 2018 12:51:06 -0800
