## libwebp 1.2.2

=== debian/changelog ===
libwebp (1.2.2-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Apr 2022 14:54:57 -0700

libwebp (1.2.2-2) unstable; urgency=high

  * Fixes mipsel architecture correctly this time (closes: #1006009)

 -- Jeff Breidenbach <jab@debian.org>  Sun, 13 Mar 2022 22:36:42 -0700

libwebp (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes test failure on mipsel architecture (closes: #1006110)
  * Fixes test failure on mipsel architecture (closes: #1006009)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 10 Mar 2022 09:39:39 -0800

libwebp (1.2.1-7) unstable; urgency=medium

  * No changes; uploading to unstable as part of soname transition.

 -- Jeff Breidenbach <jab@debian.org>  Wed, 16 Feb 2022 11:02:28 -0800

libwebp (1.2.1-6) experimental; urgency=medium

  * Fix package name to corectly match library soname.

 -- Jeff Breidenbach <jab@debian.org>  Thu, 13 Jan 2022 15:14:06 -0800

libwebp (1.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 23 Aug 2021 16:04:29 -0700
