=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,6 @@
 else
 	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux
 endif
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
