=== debian/changelog ===
libwebp (1.2.4-0.2+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-4863

 -- Moritz Mühlenhoff <jmm@debian.org>  Tue, 12 Sep 2023 21:35:44 +0200

libwebp (1.2.4-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * EncodeAlphaInternal: clear result->bw on error (CVE-2023-1999)
    (Closes: #1035371)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 May 2023 14:50:58 +0200

libwebp (1.2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.2.4 (Closes: #1022001)
  * Set debian-branch to debian/sid in conformance with DEP-14
  * Tighten matching criteria in debian/watch, and enable upstream
    PGP/GPG signature verification
  * Add Vcs-Browser and Vcs-Git fields for upload to Salsa
  * Bump debhelper build-dependency to debhelper-compat (= 13)
  * Remove alternative build-dependency on obsolete libtiff4-dev package
  * Replace build-dependency on obsolete freeglut3-dev with libglut-dev
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove backported debian/patches/fix-lossless-encode-for-MIPS
    which was already merged and released in libwebp v1.2.3
  * Adjust debian/docs for upstream README to README.md rename and more
  * Replace man/*.1 with usr/share/man/man1/*.1 in debian/webp.manpages
    to fix dh_missing error with debhelper compat 13 and up
  * Add usr/lib/${DEB_HOST_MULTIARCH}/lib*.la to debian/not-installed
    to remove dh_missing warning
  * Remove --parallel argument from dh, no longer needed since compat 10,
    to fix Lintian debian-rules-uses-unnecessary-dh-argument warning
  * Remove build-dependency on autotools-dev, not needed since compat 10,
    to fix Lintian useless-autoreconf-build-depends warning
  * Replace tab with spaces in an old debian/changelog entry
    to fix Lintian syntax-error-in-debian-changelog warning

 -- Anthony Fok <foka@debian.org>  Mon, 23 Jan 2023 06:28:25 -0700
