=== debian/control ===
Source: libwebp
Section: libs
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 libtool, autoconf,
 automake, libjpeg-dev, libgif-dev, libpng-dev,
 libtiff-dev, libglut-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/libwebp
Vcs-Git: https://salsa.debian.org/debian/libwebp.git
Homepage: https://developers.google.com/speed/webp/

Package: libwebp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebp7 (= ${binary:Version}), libwebpmux3 (= ${binary:Version}),
 libwebpdemux2 (= ${binary:Version}), ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebp7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpmux3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: libwebpdemux2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images.
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.

Package: webp
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lossy compression of digital photographic images
 Image Compression format, based on the VP8 codec.
 WebP uses the modern VP8 compression format to deliver efficient
 compression of images for the web. More than 30% extra gain over
 optimized JPEG, for same quality, is not unusual.
