=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 build build-arch build-indep: configure
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 # Force aligned memory operations in non-dsp code on sparc*
@@ -32,6 +32,3 @@
 else
 	dh_auto_configure -- --enable-libwebpmux --enable-libwebpdemux
 endif
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
